#include<iostream>
#include<cstring>
using namespace std;
void iz(int n, char a)
{
    if(a>='a' and a<='z')
    {
        char s=a-n;
        if(s>'z')
        {
            s='a'+(a-n-'z');
        }
        if(s<'a')
            s='z'-('a'-a+n);
        cout<<s;
    }
    else
    {
        if(a>='A' and a<='Z')
        {
            char s=a-n;
            if(s>'Z')
            {
                s='A'+(a-n-'Z');
            }
            if(s<'A')
                s='Z'-('A'-a+n);
            cout<<s;
        }
        else
            cout<<a;
    }

}
int main()
{
    int n;
    char izr[1001];
    cin>>izr;
    cin>>n;
    for(int i=0; i<strlen(izr); i++)
    {
        iz(n,izr[i]);
    }


    return 0;
}
